function [a] = calculate_marker_relevance ( f, b0, b1, b, pf, pb )

nmods = size( pf{1}{1},2 );

a = zeros(length(f),nmods);

for n = 1 : length(f)
   rel = repmat( f{n}*b, 1, nmods );
   %while(0),
   for k = 1 : length(pf)
      rel = rel + pf{k}{n} * pb(k);
   end
   %end
   a(n,:) = (b1 - b0) * ...
      sigmoid( sum( 2 * sigmoid( rel ) -1, 1) ) + b0;
end
